#!/bin/sh
etcnet=/etc/net/ifaces/eth0
d=/home/altlinux/.config
lf=$d/log.txt
if [[ ! -e $etcnet/ipv4address && ! -e $etcnet/options ]]; then
echo `date +%b" "%d" "%X`' -- Файлы с настройками сетевого интерфейса найдены не были, сетевой интерфейс не сконфигурирован.' >> $lf && exit 1
fi
if ! ip a | grep ': eth0: <' > /dev/null; then
echo `date +%b" "%d" "%X`' -- Сетевой интерфейс не был определён системой.' >> $lf && exit 2
fi
if ! ip a | grep ': eth0: <' | grep ',UP,LOWER_UP>' > /dev/null; then
echo `date +%b" "%d" "%X`' -- Сетевой интерфейс был определён системой, но не был установлен линк.' >> $lf && exit 3
fi